public class myLList {
	private Datum root;

	public myLList() {
		setRoot(null);
	}
	
	public void insert(int value){
		Datum temp = new Datum(value);
		temp.setNextDatum(root);
		root = temp;
	}
	
    public void printList() {
	    Datum currentLink = root;
	    System.out.print("List: ");
	    while(currentLink != null) {
		    currentLink.print();
		    currentLink = currentLink.getNextDatum();
	    }
	    System.out.println("");
    }

	public Datum getRoot() {
		return root;
	}

	public void setRoot(Datum _root) {
		root = _root;
	}
}
